[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# multiply(Tvector3_extended,extended):Tvector3_extended

Multiply a three-dimensional extended precision vector by a scalar

## Declaration

Source position: matrix.pp line 433

`operator operator *(`
`const x: Tvector3_extended;`
`y: extended`
`):Tvector3_extended;`

## Description

This operator allows you to multiply a vector by a scalar value. Each vector element is multiplied by the scalar value; the result is returned as a new vector.